<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="layout.xsl"/>


<xsl:template name="title">
	<xsl:choose>
		<xsl:when test="data/@action = 'PayList'">
			<xsl:choose>
				<!-- NEW - 1, OK - 2, FAIL - 4 -->
				<xsl:when test="data/@result = 'NEW'"> Assist.Ru  </xsl:when>
				<xsl:when test="data/@result = 'OK'"> Assist.Ru  </xsl:when>				
				<xsl:when test="data/@result = 'FAIL'">   Assist.Ru</xsl:when>
				<xsl:otherwise>  Assist.Ru</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:when test="data/@action = 'Pay'">   Assist.Ru</xsl:when>
	</xsl:choose>
</xsl:template>


<xsl:template name="head">
<xsl:text disable-output-escaping="yes">
	<![CDATA[    
<script type="text/javascript">
<!--

function mousePageXY(e)
{
  var x = 0, y = 0;

  if (!e) e = window.event;

  if (e.pageX || e.pageY)
  {
    x = e.pageX;
    y = e.pageY;
  }
  else if (e.clientX || e.clientY)
  {
    x = e.clientX + (document.documentElement.scrollLeft || document.body.scrollLeft) - document.documentElement.clientLeft;
    y = e.clientY + (document.documentElement.scrollTop || document.body.scrollTop) - document.documentElement.clientTop;
  }

  return {"x":x, "y":y};
}

var dive=null;
var bodyX;
var bodyY;
var widthE;
var heightE;

document.onmousemove = function(e){ var mCur = mousePageXY(e); bodyX = mCur.x; bodyY = mCur.y; };

function showInfo(text)
{
	hideInfo();
	dive=document.createElement('pre');	
	dive.textContent=text;
	//dive.style.cssText = "width:200px; height:200px; border:1px solid #CCCCFF; background-color:#EEEEFF; position: absolute;";
	document.body.appendChild(dive);	
	updateInfo();	
	widthE = dive.offsetWidth;
	heightE = dive.offsetHeight;	
}

function hideInfo()
{
	if(dive!=null)
	{
		document.body.removeChild(dive);
		dive=null;
	}
}

function updateInfo()
{
	if(dive!=null)
	{
		dive.style.cssText = "border:1px solid #CCCCFF; background-color:#EEEEFF; position: absolute; left: "+(bodyX-widthE-5)+"px; top: "+bodyY+"px;";
	}
}
//-->
</script>   
    ]]>
</xsl:text>
</xsl:template>


<xsl:template match="/data">
	<xsl:choose>
		<xsl:when test="@action = 'PayList'">
			<xsl:call-template name="PayList"/>
		</xsl:when>
		<xsl:when test="@action = 'Pay'">
			<xsl:choose>
				<xsl:when test="pay/@Merchant_ID">
					<xsl:call-template name="PayConfirm"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="Pay"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:when>		
	</xsl:choose>
</xsl:template>


<xsl:template name="PayList">

	<xsl:if test="resultmessage">
		<div class="infoMessage">
			<pre><xsl:value-of select="resultmessage"/></pre>
		</div>
	</xsl:if>

	<form method="post" action="{$WEBEXECUTER}">
		<xsl:call-template name="error"/>
		<xsl:call-template name="action"/>
		<xsl:call-template name="monthFilterForm">
			<xsl:with-param name="action" select="/data/@action" />
			<xsl:with-param name="module" select="/data/@module" />
			<xsl:with-param name="mid" select="/data/@mid" />
		</xsl:call-template>
	</form>

	<div class="report">
		<table border="0" cellspacing="1" class="table800">
			<thead>
	  			<tr>
					<td></td>
					<td>/ </td>
					<td></td>
					<td></td>
					<td></td>
					<td> </td>
	  			</tr>
	 		</thead>
	 		<tbody>	 		
	  			<xsl:for-each select="assist/payment">	  				
					<tr>	
						<xsl:attribute name="class">
							<xsl:choose>
	  							<xsl:when test="@status='NEW'">row_status_process</xsl:when>
	  							<xsl:when test="@status='OK'">row_status_ok</xsl:when>
	  							<xsl:when test="@status='FAIL'">row_status_fail</xsl:when>
	  						</xsl:choose>
						</xsl:attribute>

						<td nowrap="nowrap"><xsl:value-of select="@number"/></td>
						<td><xsl:value-of select="@time"/></td>
						<td><xsl:value-of select="@card_number"/></td>
						<td><xsl:value-of select="@card_holder"/></td>
						<td nowrap="nowrap"><xsl:value-of select="@summ"/></td>
						<td>
	  						<xsl:variable name="info">
	  							<xsl:choose>
	  								<xsl:when test="@status='NEW'">   .\n, .</xsl:when>
	  								<xsl:otherwise> : <xsl:value-of select="@number"/>\n assist: #<xsl:value-of select="@billnumber"/>\n: <xsl:value-of select="@summ"/>\n: <xsl:value-of select="@time"/>\n : <xsl:value-of select="@card_number"/>\n/ : <xsl:value-of select="@cardtype"/>/<xsl:value-of select="@cardsubtype"/>\n: <xsl:value-of select="@card_holder"/>\n: <xsl:value-of select="@name"/>\nIP: <xsl:value-of select="@ipaddress"/>\n: <xsl:value-of select="@comment"/>\n : <xsl:value-of select="@responsecode"/></xsl:otherwise>
	  							</xsl:choose>
	  						</xsl:variable>
							<span onmouseover="showInfo('{$info}');" onmousemove="updateInfo()" onmouseout="hideInfo();" style="cursor: help; border-bottom: 1px dashed gray;" >
							<xsl:choose>
	  							<xsl:when test="@status='NEW'"> </xsl:when>
	  							<xsl:when test="@status='OK'"></xsl:when>
	  							<xsl:when test="@status='FAIL'"></xsl:when>
	  						</xsl:choose>
	  						</span>
	  						<!--
	  						<small>(<a href="{$WEBEXECUTER}?module={/data/@module}&amp;mid={/data/@mid}&amp;action=PayResult&amp;order_idp={@number}"></a>)</small> 
	  						-->
						</td>
					</tr>
	  			</xsl:for-each>
	 		</tbody>
		</table>
	</div>

 	<br/>

	<xsl:call-template name="formButton">
		<xsl:with-param name="data">
			<xsl:call-template name="module"/>
			<input type="hidden" name="action" value="Pay" />
		</xsl:with-param>
		<xsl:with-param name="title" select="' '"/>
		<xsl:with-param name="guid" select="'add'"/>
		<xsl:with-param name="align" select="'left'"/>
	</xsl:call-template>
	
</xsl:template>


<xsl:template name="Pay">
	<form method="post" action="{$WEBEXECUTER}">
		<xsl:call-template name="action"/>
		<xsl:call-template name="error"/>

		<div class="report">
			<table cellspacing="1" style="width: 400px;"><!-- TODO  -->
			<col style="width: 100%;"/><!-- TODO  -->
			<col align="center"/>
			<thead>
				<tr>
					<td colspan="2"> </td>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td nowrap="nowrap"> </td>
					<td><xsl:value-of select="balance/@balance"/></td>
				</tr>	
				<tr>
					<td nowrap="nowrap">   </td>
					<td><input type="text" name="summ" size="13"></input></td>
				</tr>
				<tr>
					<td colspan="2"> ""     Assist.Ru 
					  .</td>
				</tr>
			</tbody>
			<tfoot>
				<tr>
					<td colspan="2">
						<xsl:call-template name="okCancel">
							<xsl:with-param name="title1" select="''"/>
							<xsl:with-param name="onclick2">window.location.replace( "<xsl:value-of select="$WEBEXECUTER"/>?action=PayList&#38;mid=<xsl:value-of select="/data/@mid"/>&#38;module=<xsl:value-of select="/data/@module"/>");</xsl:with-param>
						</xsl:call-template>
					</td>
				</tr>
			</tfoot>
			</table>
		</div>
	</form>
</xsl:template>


<xsl:template name="PayConfirm">
	<form method="POST" action="{pay/@ACTION_URL}" id="authForm" accept-charset="utf-8">

		<input type="hidden" name="Merchant_ID" value="{pay/@Merchant_ID}"/>
		<input type="hidden" name="OrderNumber" value="{pay/@OrderNumber}"/>
		<input type="hidden" name="OrderAmount" value="{pay/@OrderAmount}"/>
		<input type="hidden" name="OrderComment" value="{pay/@OrderComment}"/>
		<input type="hidden" name="URL_RETURN_OK" value="{pay/@URL_RETURN_OK}"/>
		<input type="hidden" name="URL_RETURN_NO" value="{pay/@URL_RETURN_NO}"/>

		<xsl:if test="pay/@Delay"><input type="hidden" name="Delay" value="{pay/@Delay}"/></xsl:if>
		<xsl:if test="pay/@CardPayment"><input type="hidden" name="CardPayment" value="{pay/@CardPayment}"/></xsl:if>
		<xsl:if test="pay/@WMPayment"><input type="hidden" name="WMPayment" value="{pay/@WMPayment}"/></xsl:if>
		<xsl:if test="pay/@YMPayment"><input type="hidden" name="YMPayment" value="{pay/@YMPayment}"/></xsl:if>
		<xsl:if test="pay/@AssistIDPayment"><input type="hidden" name="AssistIDPayment" value="{pay/@AssistIDPayment}"/></xsl:if>

		<xsl:if test="pay/@QIWIPayment"><input type="hidden" name="QIWIPayment" value="{pay/@QIWIPayment}"/></xsl:if>
		<xsl:if test="pay/@QIWIMtsPayment"><input type="hidden" name="QIWIMtsPayment" value="{pay/@QIWIMtsPayment}"/></xsl:if>
		<xsl:if test="pay/@QIWIMegafonPayment"><input type="hidden" name="QIWIMegafonPayment" value="{pay/@QIWIMegafonPayment}"/></xsl:if>
		<xsl:if test="pay/@QIWIBeelinePayment"><input type="hidden" name="QIWIBeelinePayment" value="{pay/@QIWIBeelinePayment}"/></xsl:if>
		
		<xsl:if test="pay/@TestMode"><input type="hidden" name="TestMode" value="{pay/@TestMode}"/></xsl:if>

		<div class="report">
			<table cellspacing="1" style="width: 400px;"><!-- TODO  -->
				<thead>
					<tr>
						<td> </td>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>     Assist.Ru<br/>
						   ,  ""  
						   Assist.Ru   
						.</td>
					</tr>
				</tbody>
				<tfoot>
					<tr>
						<td>
							<xsl:call-template name="okCancel">
								<xsl:with-param name="title1" select="''"/>
								<xsl:with-param name="onclick2">window.location.replace( '<xsl:value-of select="$WEBEXECUTER"/>?action=PayList&#38;mid=<xsl:value-of select="/data/@mid"/>&#38;module=<xsl:value-of select="/data/@module"/>');</xsl:with-param>
							</xsl:call-template>
						</td>
					</tr>
				</tfoot>
			</table>
		</div>

	</form>

	<script language="JavaScript" type="text/javascript">document.forms["authForm"].submit();</script>

</xsl:template>


</xsl:stylesheet>